=== modified file 'bzrlib/lockable_files.py'
--- bzrlib/lockable_files.py	2005-12-25 23:06:24 +0000
+++ bzrlib/lockable_files.py	2005-12-26 00:11:10 +0000
@@ -3,6 +3,7 @@
 from bzrlib.errors import LockError, ReadOnlyError
 from bzrlib.trace import mutter
 import bzrlib.transactions as transactions
+from osutils import file_iterator
 
 class LockableFiles(object):
     """Object representing a set of lockable files
@@ -98,16 +99,12 @@
         import codecs
         from iterablefile import IterableFile
         ctrl_files = []
-        def file_iterator(unicode_file, bufsize=32768):
-            while True:
-                b = unicode_file.read(bufsize)
-                if len(b) == 0:
-                    break
-                yield b
         if hasattr(file, 'read'):
             iterator = file_iterator(file)
         else:
             iterator = file
+        # IterableFile would not be needed if Transport.put took iterables
+        # instead of files.  ADHB 2005-12-25
         encoded_file = IterableFile(b.encode('utf-8', 'replace') for b in 
                                     iterator)
         self.put(path, encoded_file)

=== modified file 'bzrlib/osutils.py'
--- bzrlib/osutils.py	2005-12-01 21:31:42 +0000
+++ bzrlib/osutils.py	2005-12-26 00:11:10 +0000
@@ -248,6 +248,14 @@
         tofile.write(b)
 
 
+def file_iterator(input_file, readsize=32768):
+    while True:
+        b = input_file.read(readsize)
+        if len(b) == 0:
+            break
+        yield b
+
+
 def sha_file(f):
     if hasattr(f, 'tell'):
         assert f.tell() == 0

